Merges source to the current SolrDocument

- « SolrDocument::key

- SolrDocument::next »

- PHP Manual
- SolrDocument
- Merges source to the current SolrDocument

# SolrDocument::merge

(PECL solr >= 0.9.2)

SolrDocument::merge — Merges source to the current SolrDocument

### Description

public SolrDocument::merge(SolrDocument `$sourceDoc`, bool `$overwrite` = `true`): bool

Merges source to the current SolrDocument.

### Parameters

`sourceDoc`

  The source document.

`overwrite`

  If this is `true` then fields with the same name in the destination document will be overwritten.

### Return Values

Returns `true` on success or `false` on failure.